### Name: diffusion
### Title: A Random Walk Particle Diffusion Model
### Aliases: diffusion
### Keywords: datasets

### ** Examples

  ## Not run: 
##D     data(diffusion)
##D     ## (1) basic example
##D     plot(sim(diffusion))
##D     ## show "grid of environmental conditions"
##D     image(inputs(diffusion))
##D     
##D     ## (2) scenario
##D     ##     with homogeneous environment (no "refuge" in the middle)
##D     no_refuge <- diffusion # Cloning of the whole model object
##D     inputs(no_refuge) <- matrix(1, 100, 100)
##D     plot(sim(no_refuge))
##D     
##D     ## (3) example of using an observer function
##D     observer(diffusion) <- function(state, ...) {
##D       ## numerical output to the screen
##D       cat("mean x=", mean(state$x),
##D           ", mean y=", mean(state$y),
##D           ", sd   x=", sd(state$x),
##D           ", sd   y=", sd(state$y), "\n")
##D       # animation
##D       par(mfrow=c(2,2))
##D       plot(state$x, state$y, xlab="x", ylab="y", pch=16, col="red", xlim=c(0, 100))
##D       hist(state$y)
##D       hist(state$x)
##D       # default case: return the state --> iteration stores it in "out"
##D       init
##D     }
##D 
##D     sim(diffusion)
##D     
##D     ## (4) remove the observer
##D     observer(diffusion) <- NULL
##D     diffusion <- sim(diffusion)
##D     
##D   
## End(Not run)



